This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11966 - Upgraded to recent security RPMs, errors ensued...
Upgraded to recent security RPMs, errors ensued...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-07 20:15 EDT by cpkern
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 07:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cpkern 2000-06-07 20:15:40 EDT
Posting again... No bites the first time 'round. 

Any ideas?

        Looks as though the "security" patches were with an error, no?

    I had been running RedHat 6.0 (HEDWIG) on a PC for about a year now,
and recently I upgraded my system with all of the recommended security
RPMs. After doing so, I've discovered several problems that I can't seem
to resolve on my own after many hours of review, study, and research. 
I've listed the two most important to me at this time below. I'd greatly
appreciate it if anyone could provide me with ideas on where to find
possible solutions.

    Thanks in advance,

                    Christopher Kern.

    Problem #1) I have been using the Gnome WM with KPPP as the dial-up
modem tool to access the internet. All of the users have their own
preferred IP, and within the KPPP Quit-Setup-Help-Connect dialog window,
the user chooses their very own "connect-to:" IP, enters a Login ID and
IP password, then presses the "Connect." Before the upgrades, the tool
worked flawlessly. Under the KPPP "Setup" Account Edit function, each user
could make a call to three programs once KPPP connected. Each has
Netscape-Communicator as a default. So before the upgrades, a user could
login to the PC, invoke the KPPP dial-up tool, choose a "Connect to:",
enter a Login ID and password, and click on the connect. Once connected
to the IP, a Netscape browser would show. A user could browse the net,
get and send email, and store bookmarks. Things were okay. Now, after
the upgrades however, when a user invokes the KPPP tool, an "Input"
dialog window requests a password, this is the first noticeable
difference. Although this is not a problem in and of itself, once a user
enters their usual "user" login password and selects okay, the usual
KPPP Quit-Setup-Help-Connect dialog window pops up and user continues as
before. But then when executing any of the three programs, as in the
Netscape call, any are executed as a root user! For instance, a Netscape
window comes up as desired, but the browser's bookmarks are those of the
root user. When choosing the mail tool, root's mail tool comes up! If a
user enters the LINUXCONF program as one to execute after connecting, a
LINUXCONF GUI shows after connecting even though that user hasn't
permissions to execute that program.

    Problem #2) Within the Gnome WM, users could call the "Log out"
function. Before the upgrade, all users could select either "Log out" or
"Reboot" or "Halt" within the subsequent dialog window, and the O/S
would respond accordingly. After the upgrade, several users no longer get
the subsequent dialog pop-up window allowing for a choice, and other users
get the dialog, but no matter what is chosen, the user is merely logged
out. No "Reboot" or "Shutdown" permissions are granted. In the LINUXCONF
GUI, the users permissions are indeed set to allow for shutdown. That is
just as it was before the upgrades.
Comment 1 David Mason 2000-06-19 11:47:02 EDT
Havoc can you look into #2 of these problems - as to the KDE one we will need to
send that on to Bero or someone.
Comment 2 Havoc Pennington 2000-06-19 13:11:48 EDT
I think Problem #2 should be fixed in 6.2, so can be closed with status
CURRENTRELEASE. I'm leaving the bug open and assigning it to Bero to look 
at Problem #1.
Comment 3 Bernhard Rosenkraenzer 2000-08-04 07:38:13 EDT
#1 is not a problem, since you have the root password to call kppp (it's a
normal consolehelper app!), you're root anyway.

Note You need to log in before you can comment on or make changes to this bug.